package org.dromara.ygpassport.domain.dto;


import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.ygpassport.domain.bo.InternshipsBo;
import org.dromara.ygpassport.domain.vo.InternshipsVo;

import java.io.Serial;

@Data
@AutoMapper(target = InternshipsBo.class, reverseConvertGenerate = false)
public class WxInternshipsDto {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 公司名称
     */
    private String companyName;

    /**
     * 工作时间
     */
    private String workingHours;

    /**
     * 职务
     */
    private String job;

    /**
     * 职务内容
     */
    private String jobDescription;

    /**
     * 附件信息存放路径
     */
    private String experienceFilePath;

    public WxInternshipsDto() {
    }

    public WxInternshipsDto(InternshipsVo internshipsVo) {
        this.id = internshipsVo.getId();
        this.companyName = internshipsVo.getCompanyName();
        this.workingHours = internshipsVo.getWorkingHours();
        this.job = internshipsVo.getJob();
        this.jobDescription = internshipsVo.getJobDescription();
        this.experienceFilePath = internshipsVo.getExperienceFilePath();
    }
}
